#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <printf.h>
RF24 radio(9, 10); // CE, CSN

double remoteArray[4];
const byte address[6] = "00001";
int bt;
void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openReadingPipe(1, address);
  radio.setPALevel(RF24_PA_MAX);
  radio.startListening();
  //Serial.println("Pronto..");
}

void loop() { 
  if ( radio.available()){ 
    //Serial.println("Available");
    radio.read(&remoteArray, sizeof(remoteArray));      
  printFloat(remoteArray[0], 11, 6); Serial.print(","); 
  printFloat(remoteArray[1], 11, 6); Serial.print(",");
  printFloat(remoteArray[2], 11, 6); Serial.print(","); 
  printFloat(remoteArray[3], 11, 6); 
  Serial.println();
 }
  //printf_begin();
  //radio.printDetails();

  delay(1000);
  
}

static void printFloat(float val,int len, int prec)
{
    Serial.print(val, prec);
    int vi = abs((int)val);
    int flen = prec + (val < 0.0 ? 2 : 1); // . and -
    flen += vi >= 1000 ? 4 : vi >= 100 ? 3 : vi >= 10 ? 2 : 1;
}
